<!--begin::Form-->
<form class="form w-100" novalidate="novalidate" id="kt_login_signin_form" [formGroup]="forgotPasswordForm" (ngSubmit)="submit()">
    <!--begin::Heading-->
    <div class="text-center mb-10">
        <!--begin::Logo-->
        <a href="../../demo1/dist/index.html" class="mb-12">
            <img alt="Logo" src="assets/media/logos/skrm-logo.png" class="h-80px" />
        </a>
        <!--end::Logo-->
        <h1 class="text-dark mb-3">Forgot Password</h1>
         <!-- begin::Alert info-->
         <ng-container>
            <div class="mb-10 bg-light-info p-2">
                <span class="text-info">Enter your<strong> email</strong> to continue.</span>
            </div>
        </ng-container>
        <!-- end::Alert info-->
    </div>
    <!--end::Heading-->
 
    <!-- begin::Alert error-->
    <ng-container *ngIf="hasError">
        <div class="mb-lg-15 alert alert-danger">
            <div class="alert-text font-weight-bold">
                The given details are incorrect
            </div>
        </div>
    </ng-container>
    <!-- end::Alert error-->

    <!--begin::Form group-->
    <div class="fv-row mb-10">
        <label class="form-label fs-6 fw-bolder text-dark">Email</label>
        <input class="form-control form-control-lg form-control-solid" type="email" name="email" formControlName="email"
            autocomplete="off" [ngClass]="{
        'is-invalid': forgotPasswordForm.controls['email'].invalid,
        'is-valid': forgotPasswordForm.controls['email'].valid
      }" />
        <ng-container [ngTemplateOutlet]="formError" [ngTemplateOutletContext]="{
        validation: 'required',
        message: 'Email is required',
        control: forgotPasswordForm.controls['email']
      }"></ng-container>
        <ng-container [ngTemplateOutlet]="formError" [ngTemplateOutletContext]="{
        validation: 'email',
        message: 'Email is invalid',
        control: forgotPasswordForm.controls['email']
      }"></ng-container>
        <ng-container [ngTemplateOutlet]="formError" [ngTemplateOutletContext]="{
        validation: 'minLength',
        message: 'Email should have at least 3 symbols',
        control: forgotPasswordForm.controls['email']
      }"></ng-container>
        <ng-container [ngTemplateOutlet]="formError" [ngTemplateOutletContext]="{
        validation: 'maxLength',
        message: 'Email should have maximum 360 symbols',
        control: forgotPasswordForm.controls['email']
      }"></ng-container>
    </div>
    <!--end::Form group-->

    <!--begin::Action-->
    <div class="text-center">
        <button type="submit" id="kt_sign_in_submit" class="btn btn-lg btn-primary w-100 mb-5">
            <!-- <ng-container *ngIf="isLoading$ | async">
                <span class="indicator-progress" [style.display]="'block'">
                    Please wait...
                    <span class="spinner-border spinner-border-sm align-middle ms-2"></span>
                </span>
            </ng-container> -->
            <ng-container>
                <span class="indicator-label">Submit</span>
            </ng-container>
        </button>

        <!-- begin::Separator  -->
        <div class="text-center text-muted text-uppercase fw-bolder mb-5">or</div>
        <!-- end::Separator  -->

        <!--begin::Link-->
        <span>Do you remember your password ?</span><a routerLink="/" class="link-lable-purple fw-bolder fs-6"> Login</a>
        <!--end::Link-->
    </div>
    <!--end::Action-->
</form>
<!--end::Form-->

<ng-template #formError let-control="control" let-message="message" let-validation="validation">
    <ng-container *ngIf="control.hasError(validation) && (control.dirty || control.touched)">
        <div class="fv-plugins-message-container">
            <span role="alert" class="text-danger">
                {{ message }}
            </span>
        </div>
    </ng-container>
</ng-template>